Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.ButtonItem Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| ButtonItem ()
| Constructor.
| ButtonItem (string name, int pos, string exec, string enable, string marked, string tooltip, string label, Bitmap bitmap)
| Constructor, with parameters. More...
| ButtonItem (ButtonItem button_item)
| Constructor, with another button item object. More...
void | Set (string name, int pos, string exec, string enable, string marked, string tooltip, string label, Bitmap bitmap)
| Set values. More...

## Properties
Bitmap? | bitmap`[get, set]`
| A bitmap object of button.
string | enable`[get, set]`
| An expression string that determines whether to enable the toolbutton.
string | exec`[get, set]`
| The expression string to evaluate when the button is selected.
string | label`[get, set]`
| A text label to be displayed on the button to the right of the icon.
string | marked`[get, set]`
| An expression string that determines whether the toolbutton is marked.
string | name`[get, set]`
| A unique language-independent identifier for the button.
int | pos`[get, set]`
| The button number to place the added button in the toolbar.
string | tooltip`[get, set]`
| The text to display in the button help text when the mouse is over the toolbutton.

## Detailed Description

This class represents button item.

## Constructor & Destructor Documentation

## ◆ ButtonItem() [1/2]

foxit.pdf.actions.ButtonItem.ButtonItem | ( | string | name,
|  | int | pos,
|  | string | exec,
|  | string | enable,
|  | string | marked,
|  | string | tooltip,
|  | string | label,
|  | Bitmap | bitmap
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

## ◆ ButtonItem() [2/2]

foxit.pdf.actions.ButtonItem.ButtonItem | ( | ButtonItem | button_item | ) |
| inline

Constructor, with another button item object.

Parameters

  [in] | button_item | Another button item object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.ButtonItem.Set | ( | string | name,
|  | int | pos,
|  | string | exec,
|  | string | enable,
|  | string | marked,
|  | string | tooltip,
|  | string | label,
|  | Bitmap | bitmap
| ) |  |
| inline

Set values.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

Returns
  None.